Bug 813084 - rsyslog segfaults when configured with disk queue with non-existent (unnamed) spool file
rsyslog segfaults when configured with disk queue with non-existent (unnamed)...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rsyslog (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity high
: rc
: 6.3
Assigned To: Tomas Heinrich
Dalibor Pospíšil
:
Depends On:
Blocks: 805204
  Show dependency treegraph
 
Reported: 2012-04-16 16:23 EDT by Tomas Heinrich
Modified: 2012-06-20 02:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In certain error cases, deinitialization of nonexistent data took place. When configured to use a disk assisted queue without specifying a spool file, the daemon aborted. The code was modified to handle the error cases gracefully. The daemon doesn't abort when the above mentioned error occurs.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 02:59:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0796 normal SHIPPED_LIVE Moderate: rsyslog security, bug fix, and enhancement update 2012-06-19 15:29:32 EDT

  None (edit)
Description Tomas Heinrich 2012-04-16 16:23:25 EDT
Version-Release number of selected component (if applicable):
rsyslog 5.8.7 and older.

Steps to Reproduce:
/tmp/rsyslog.conf:
  $actionqueuetype disk
  *.* /tmp/all.log
Run
$ /sbin/rsyslogd -c 5 -dnf /tmp/rsyslog.conf

<...>
Aborted (core dumped)

Additional info:
Will be fixed by a rebase to upstream version 5.8.10.
Comment 4 Tomas Heinrich 2012-05-03 13:26:48 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In certain error cases, deinitialization of nonexistent data took place.
When configured to use a disk assisted queue without specifying a spool file, the daemon aborted.
The code was modified to handle the error cases gracefully.
The daemon doesn't abort when the above mentioned error occurs.
Comment 7 errata-xmlrpc 2012-06-20 02:59:07 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0796.html

Note You need to log in before you can comment on or make changes to this bug.